_Auxiliary_Code:
;Stretch.mbas,39 :: 		sub procedure Auxiliary_Code()
;Stretch.mbas,40 :: 		TFT_WR = 0
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=0
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
;Stretch.mbas,41 :: 		asm nop end asm
NOP	
;Stretch.mbas,42 :: 		TFT_WR = 1
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=1
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
;Stretch.mbas,43 :: 		end sub
L_end_Auxiliary_Code:
RETURN	
; end of _Auxiliary_Code
_Set_Index:
;Stretch.mbas,45 :: 		sub procedure Set_Index(dim index as byte)
; index start address is: 0 (R0)
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;Stretch.mbas,46 :: 		TFT_RS = 0
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=0
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Stretch.mbas,47 :: 		asm nop end asm
NOP	
;Stretch.mbas,48 :: 		TFT_DataPort = index
STA.B	GPIO_PORT_32_39+0, R0
; index end address is: 0 (R0)
;Stretch.mbas,49 :: 		asm nop end asm
NOP	
;Stretch.mbas,50 :: 		asm nop end asm
NOP	
;Stretch.mbas,51 :: 		Auxiliary_Code()
CALL	_Auxiliary_Code+0
;Stretch.mbas,52 :: 		end sub
L_end_Set_Index:
RETURN	
; end of _Set_Index
_Write_Command:
;Stretch.mbas,54 :: 		sub procedure Write_Command(dim cmd as byte)
; cmd start address is: 0 (R0)
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;Stretch.mbas,55 :: 		TFT_RS = 1
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Stretch.mbas,56 :: 		asm nop end asm
NOP	
;Stretch.mbas,57 :: 		TFT_DataPort = cmd
STA.B	GPIO_PORT_32_39+0, R0
; cmd end address is: 0 (R0)
;Stretch.mbas,58 :: 		asm nop end asm
NOP	
;Stretch.mbas,59 :: 		asm nop end asm
NOP	
;Stretch.mbas,60 :: 		Auxiliary_Code()
CALL	_Auxiliary_Code+0
;Stretch.mbas,61 :: 		end sub
L_end_Write_Command:
RETURN	
; end of _Write_Command
_Write_Data:
;Stretch.mbas,63 :: 		sub procedure Write_Data(dim _data as word)
; _data start address is: 0 (R0)
BEXTU.L	R2, R0, #0
; _data end address is: 0 (R0)
; _data start address is: 8 (R2)
;Stretch.mbas,64 :: 		TFT_RS = 1
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Stretch.mbas,65 :: 		asm nop end asm
NOP	
;Stretch.mbas,66 :: 		TFT_DataPort = Hi(_data)
BEXTU.L	R1, R2, #264
STA.B	GPIO_PORT_32_39+0, R1
;Stretch.mbas,67 :: 		asm nop end asm
NOP	
;Stretch.mbas,68 :: 		asm nop end asm
NOP	
;Stretch.mbas,69 :: 		Auxiliary_Code()
CALL	_Auxiliary_Code+0
;Stretch.mbas,70 :: 		asm nop end asm
NOP	
;Stretch.mbas,71 :: 		TFT_DataPort = Lo(_data)
BEXTU.L	R1, R2, #256
; _data end address is: 8 (R2)
STA.B	GPIO_PORT_32_39+0, R1
;Stretch.mbas,72 :: 		asm nop end asm
NOP	
;Stretch.mbas,73 :: 		asm nop end asm
NOP	
;Stretch.mbas,74 :: 		Auxiliary_Code()
CALL	_Auxiliary_Code+0
;Stretch.mbas,75 :: 		end sub
L_end_Write_Data:
RETURN	
; end of _Write_Data
_Display_Init:
;Stretch.mbas,77 :: 		sub procedure Display_Init()
LINK	LR, #16
;Stretch.mbas,78 :: 		TFT_Set_Active(@Set_Index, @Write_Command, @Write_Data)
LDK.L	R2, #_Write_Data+0
LDK.L	R1, #_Write_Command+0
LDK.L	R0, #_Set_Index+0
CALL	_TFT_Set_Active+0
;Stretch.mbas,79 :: 		TFT_Init_ILI9341_8bit(320, 240)
LDK.L	R1, #240
LDK.L	R0, #320
CALL	_TFT_Init_ILI9341_8bit+0
;Stretch.mbas,80 :: 		TFT_BLED = 1                     ' Turn on TFT backlight
LDA.x	R0, #AlignedAddress(GPIO_PIN58_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN58_bit+0)=1
STI.x	GPIO_PIN58_bit+0, #AlignedAddress(R0)
;Stretch.mbas,81 :: 		TFT_Fill_Screen(CL_WHITE)
LDK.L	R0, #65535
CALL	_TFT_Fill_Screen+0
;Stretch.mbas,82 :: 		TFT_Set_Pen(CL_WHITE, 1)
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
;Stretch.mbas,83 :: 		TFT_Set_Brush(1,CL_WHITE,0,0,0,0)
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
;Stretch.mbas,84 :: 		TFT_Set_Font(@TFT_defaultFont, CL_BLACK, FO_HORIZONTAL)
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.mbas,85 :: 		TFT_Fill_Screen(CL_WHITE)
LDK.L	R0, #65535
CALL	_TFT_Fill_Screen+0
;Stretch.mbas,86 :: 		TFT_Set_Pen(CL_Black, 1)
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
;Stretch.mbas,87 :: 		TFT_Line(20, 220, 300, 220)
LDK.L	R3, #220
LDK.L	R2, #300
LDK.L	R1, #220
LDK.L	R0, #20
CALL	_TFT_Line+0
;Stretch.mbas,88 :: 		TFT_LIne(20,  46, 300,  46)
LDK.L	R3, #46
LDK.L	R2, #300
LDK.L	R1, #46
LDK.L	R0, #20
CALL	_TFT_Line+0
;Stretch.mbas,89 :: 		TFT_Set_Font(@TFT_defaultFont, CL_RED, FO_HORIZONTAL)
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.mbas,90 :: 		TFT_Write_Text("Stretch Click", 85, 14)
ADD.L	R6, SP, #0
LDK.L	R0, #83
STI.B	R6, #0, R0
LDK.L	R0, #116
STI.B	R6, #1, R0
LDK.L	R0, #114
STI.B	R6, #2, R0
LDK.L	R0, #101
STI.B	R6, #3, R0
LDK.L	R0, #116
STI.B	R6, #4, R0
LDK.L	R0, #99
STI.B	R6, #5, R0
LDK.L	R0, #104
STI.B	R6, #6, R0
LDK.L	R0, #32
STI.B	R6, #7, R0
LDK.L	R0, #67
STI.B	R6, #8, R0
LDK.L	R0, #108
STI.B	R6, #9, R0
LDK.L	R0, #105
STI.B	R6, #10, R0
LDK.L	R0, #99
STI.B	R6, #11, R0
LDK.L	R0, #107
STI.B	R6, #12, R0
LDK.L	R0, #0
STI.B	R6, #13, R0
ADD.L	R6, SP, #0
LDK.L	R2, #14
LDK.L	R1, #85
MOVE.L	R0, R6
CALL	_TFT_Write_Text+0
;Stretch.mbas,91 :: 		TFT_Set_Font(@TFT_defaultFont, CL_BLACK, FO_HORIZONTAL)
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.mbas,92 :: 		TFT_Write_Text("EasyFT90x v7", 19, 223)
ADD.L	R6, SP, #0
LDK.L	R0, #69
STI.B	R6, #0, R0
LDK.L	R0, #97
STI.B	R6, #1, R0
LDK.L	R0, #115
STI.B	R6, #2, R0
LDK.L	R0, #121
STI.B	R6, #3, R0
LDK.L	R0, #70
STI.B	R6, #4, R0
LDK.L	R0, #84
STI.B	R6, #5, R0
LDK.L	R0, #57
STI.B	R6, #6, R0
LDK.L	R0, #48
STI.B	R6, #7, R0
LDK.L	R0, #120
STI.B	R6, #8, R0
LDK.L	R0, #32
STI.B	R6, #9, R0
LDK.L	R0, #118
STI.B	R6, #10, R0
LDK.L	R0, #55
STI.B	R6, #11, R0
LDK.L	R0, #0
STI.B	R6, #12, R0
ADD.L	R6, SP, #0
LDK.L	R2, #223
LDK.L	R1, #19
MOVE.L	R0, R6
CALL	_TFT_Write_Text+0
;Stretch.mbas,93 :: 		TFT_Set_Font(@TFT_defaultFont, CL_RED, FO_HORIZONTAL)
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.mbas,94 :: 		TFT_Write_Text("www.mikroe.com", 200, 223)
ADD.L	R6, SP, #0
LDK.L	R0, #119
STI.B	R6, #0, R0
LDK.L	R0, #119
STI.B	R6, #1, R0
LDK.L	R0, #119
STI.B	R6, #2, R0
LDK.L	R0, #46
STI.B	R6, #3, R0
LDK.L	R0, #109
STI.B	R6, #4, R0
LDK.L	R0, #105
STI.B	R6, #5, R0
LDK.L	R0, #107
STI.B	R6, #6, R0
LDK.L	R0, #114
STI.B	R6, #7, R0
LDK.L	R0, #111
STI.B	R6, #8, R0
LDK.L	R0, #101
STI.B	R6, #9, R0
LDK.L	R0, #46
STI.B	R6, #10, R0
LDK.L	R0, #99
STI.B	R6, #11, R0
LDK.L	R0, #111
STI.B	R6, #12, R0
LDK.L	R0, #109
STI.B	R6, #13, R0
LDK.L	R0, #0
STI.B	R6, #14, R0
ADD.L	R6, SP, #0
LDK.L	R2, #223
LDK.L	R1, #200
MOVE.L	R0, R6
CALL	_TFT_Write_Text+0
;Stretch.mbas,95 :: 		end sub
L_end_Display_Init:
UNLINK	LR
RETURN	
; end of _Display_Init
_readSensor:
;Stretch.mbas,99 :: 		sub procedure readSensor()
;Stretch.mbas,100 :: 		adc_rd = ADC_Get_Sample(4)                ' Get ADC value from corresponding channel
LDK.L	R0, #4
CALL	_ADC_Get_Sample+0
STA.B	_adc_rd+0, R0
;Stretch.mbas,101 :: 		delay_ms(10)                              ' Pause 10ms
LPM.L	R28, #333331
NOP	
L__readSensor6:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L__readSensor6
JMP	$+8
	#333331
NOP	
NOP	
;Stretch.mbas,102 :: 		end sub
L_end_readSensor:
RETURN	
; end of _readSensor
_set_adc:
;Stretch.mbas,105 :: 		sub procedure set_adc()
;Stretch.mbas,106 :: 		ADC_Init()
CALL	_ADC_Init+0
;Stretch.mbas,107 :: 		ADC_Set_Input_Channel(_ADC_CHANNEL_4)
LDK.L	R0, #8
CALL	_ADC_Set_Input_Channel+0
;Stretch.mbas,108 :: 		end sub
L_end_set_adc:
RETURN	
; end of _set_adc
_main:
;Stretch.mbas,110 :: 		main:
LDK.L	SP, #43605
;Stretch.mbas,111 :: 		set_adc()                                                         ' Initialize ADC
CALL	_set_adc+0
;Stretch.mbas,112 :: 		Display_Init()                                                    ' Initialize TFT
CALL	_Display_Init+0
;Stretch.mbas,113 :: 		TFT_Set_Pen(CL_WHITE, 1)
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
;Stretch.mbas,114 :: 		TFT_Set_Font(@TFT_defaultFont, CL_BLACK, FO_HORIZONTAL)
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.mbas,115 :: 		while TRUE
L__main11:
;Stretch.mbas,116 :: 		readSensor()                                                  ' Read sensor
CALL	_readSensor+0
;Stretch.mbas,117 :: 		TFT_Set_Font(@TFT_defaultFont, CL_WHITE, FO_HORIZONTAL)
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.mbas,118 :: 		TFT_Write_Text(txt, 140, 100)
LDK.L	R2, #100
LDK.L	R1, #140
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
;Stretch.mbas,119 :: 		WordToStr(adc_rd,txt)                                         ' Conversion integer adc_rd to string txt
LDA.B	R0, _adc_rd+0
LDK.L	R1, #_txt+0
CALL	_WordToStr+0
;Stretch.mbas,120 :: 		TFT_Set_Font(@TFT_defaultFont, CL_BLACK, FO_HORIZONTAL)       ' Display string on TFT
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.mbas,121 :: 		TFT_Write_Text(txt,140,100)                                   ' Print txt value on TFT
LDK.L	R2, #100
LDK.L	R1, #140
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
;Stretch.mbas,122 :: 		delay_ms(500)
LPM.L	R28, #16666665
NOP	
L__main15:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L__main15
JMP	$+8
	#16666665
;Stretch.mbas,123 :: 		wend
JMP	L__main11
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
